Index: trunk/shell/testawk
===================================================================
--- trunk/shell/testawk	(revision 49)
+++ trunk/shell/testawk	(revision 50)
@@ -4,4 +4,4 @@
 SCRIPT_PATH=`dirname $0`
 . ./c-i-a-b.common
 AWK_COMMAND="{if (FNR==$NODE_NUMBER) {print \$2}}"
-awk -F, -v INDEX=$NODE_NUMBER  '{if (FNR==INDEX) {print $2}}' $SCRIPT_PATH/$TEMPLATES_DIR$CURRENT_PATH/$CONST_DHCP_HOSTS_FILE_BASENAME
+awk -F, -v INDEX=$NODE_NUMBER  '{if (FNR==INDEX) {print $2}}' $SCRIPT_PATH/${CONST_TEMPLATES_DIR}$CURRENT_PATH/$CONST_DHCP_HOSTS_FILE_BASENAME
Index: trunk/shell/set-xen-config
===================================================================
--- trunk/shell/set-xen-config	(revision 49)
+++ trunk/shell/set-xen-config	(revision 50)
@@ -17,7 +17,7 @@
 CURRENT_DIR=/etc/xen-tools
 mv $CURRENT_DIR/$CURRENT_FILE $CURRENT_DIR/$CURRENT_FILE.orig.`date  +%Y-%m-%d`
 # Set the new configuration file.
-cp $SCRIPT_PATH/$TEMPLATES_DIR$CURRENT_DIR/$CURRENT_FILE $CURRENT_DIR
+cp $SCRIPT_PATH/${CONST_TEMPLATES_DIR}$CURRENT_DIR/$CURRENT_FILE $CURRENT_DIR
 rpl __CLUSTER_ARCH__ $CLUSTER_ARCH $CURRENT_DIR/$CURRENT_FILE
 rpl __CLUSTER_IMAGE__ $CLUSTER_IMAGE $CURRENT_DIR/$CURRENT_FILE
 if [ "$CLUSTER_SWAP_SIZE" = "$CONST_NULL_DISK_SIZE" ]; then
@@ -33,7 +33,7 @@
 # No orignal file to save
 CURRENT_DIR=/etc/xen/scripts
 # Set the file.
-cp $SCRIPT_PATH/$TEMPLATES_DIR$CURRENT_DIR/$CURRENT_FILE $CURRENT_DIR
+cp $SCRIPT_PATH/${CONST_TEMPLATES_DIR}$CURRENT_DIR/$CURRENT_FILE $CURRENT_DIR
 chmod u+x $CURRENT_DIR/$CURRENT_FILE
 #
 # File /etc/xen/xend-config.sxp
@@ -42,7 +42,7 @@
 CURRENT_DIR=/etc/xen
 mv $CURRENT_DIR/$CURRENT_FILE $CURRENT_DIR/$CURRENT_FILE.orig.`date  +%Y-%m-%d`
 # Set the new configuration file.
-cp $SCRIPT_PATH/$TEMPLATES_DIR$CURRENT_DIR/$CURRENT_FILE $CURRENT_DIR
+cp $SCRIPT_PATH/${CONST_TEMPLATES_DIR}$CURRENT_DIR/$CURRENT_FILE $CURRENT_DIR
 rpl __CLUSTER_BRIDGE_CLAUSE__ "$CLUSTER_BRIDGE_STANZA" \
     $CURRENT_DIR/$CURRENT_FILE
 rpl __DOM0_CPUS_CLAUSE__ "$DOM0_CPUS_CLAUSE" $CURRENT_DIR/$CURRENT_FILE
Index: trunk/shell/start-compute-node
===================================================================
--- trunk/shell/start-compute-node	(revision 49)
+++ trunk/shell/start-compute-node	(revision 50)
@@ -60,7 +60,7 @@
 #
 # /etc/network/interfaces
 CURRENT_PATH=/etc/network
-cp templates$CURRENT_PATH/interfaces \
+cp ${CONST_TEMPLATES_DIR}$CURRENT_PATH/interfaces \
    $COMPUTE_NODE_DISK_MOUNT_POINT/$CURRENT_PATH
 ADDRESS="$COMPUTE_NODE_STATIC_NETWORK_PREFIX.$NODE_NUMBER"
 rpl __STATIC_ADDRESS__ $ADDRESS  \
@@ -71,7 +71,7 @@
 # /etc/hosts
 CURRENT_PATH=/etc
 CURRENT_HOST_IP="${COMPUTE_NODE_STATIC_NETWORK_PREFIX}.${NODE_NUMBER}"
-cp templates$CURRENT_PATH/hosts \
+cp ${CONST_TEMPLATES_DIR}$CURRENT_PATH/hosts \
    $COMPUTE_NODE_DISK_MOUNT_POINT/$CURRENT_PATH
 rpl __COMPUTE_NODE_IP__ $CURRENT_HOST_IP \
     ${COMPUTE_NODE_DISK_MOUNT_POINT}${CURRENT_PATH}/hosts
@@ -79,7 +79,7 @@
     ${COMPUTE_NODE_DISK_MOUNT_POINT}${CURRENT_PATH}/hosts
 # /etc/resolv.conf
 CURRENT_PATH=/etc
-cp $TEMPLATES_DIR$CURRENT_PATH/resolv.conf \
+cp ${CONST_TEMPLATES_DIR}$CURRENT_PATH/resolv.conf \
    ${COMPUTE_NODE_DISK_MOUNT_POINT}${CURRENT_PATH}/resolv.conf
 rpl __CLUSTER_DOMAIN_NAME__ "${CLUSTER_DOMAIN_NAME}." \
    ${COMPUTE_NODE_DISK_MOUNT_POINT}${CURRENT_PATH}/resolv.conf
@@ -90,12 +90,12 @@
 #
 CURRENT_PATH=/etc
 COMPUTE_NODE_MAC_ADDRESS=\
-`awk -F, -v INDEX=$NODE_NUMBER '{if (FNR==INDEX) {print $1}}' $SCRIPT_PATH/$TEMPLATES_DIR$CURRENT_PATH/$CONST_DHCP_HOSTS_FILE_BASENAME`
+`awk -F, -v INDEX=$NODE_NUMBER '{if (FNR==INDEX) {print $1}}' $SCRIPT_PATH/${CONST_TEMPLATES_DIR}$CURRENT_PATH/$CONST_DHCP_HOSTS_FILE_BASENAME`
 #
 # Create the Xen configuration file from a template
 #
 CURRENT_PATH=/etc/xen
-cp templates$CURRENT_PATH/compute-node.cfg \
+cp ${CONST_TEMPLATES_DIR}$CURRENT_PATH/compute-node.cfg \
    $SCRIPT_PATH/$CURRENT_HOST_NAME.cfg
 rpl Template Configuration $SCRIPT_PATH/$CURRENT_HOST_NAME.cfg
 rpl "the Xen instance compute-node" "compute-node-$NODE_NUMBER_STRING" \
Index: trunk/shell/c-i-a-b.common
===================================================================
--- trunk/shell/c-i-a-b.common	(revision 49)
+++ trunk/shell/c-i-a-b.common	(revision 50)
@@ -2,7 +2,9 @@
 #
 # Constants that no one should not change.
 # Compute nodes from 1 to 250
+CONST_CONFIGURATIONS_DIR=configurations
 CONST_COMPUTE_NODE="compute-node"
+CONST_COMPUTE_NODE_XEN_TEMPLATE_NAME="${CONST_COMPUTE_NODE}.cfg"
 CONST_COMPUTE_NODE_MAX_NUM=250
 CONST_COMPUTE_NODE_MODEL="compute-node-model"
 CONST_COMPUTE_NODE_MODEL_CLUSTER_STATIC_NETWORK_POSTFIX=252
@@ -19,6 +21,7 @@
 CONST_NO_DHCP="NO_DHCP"
 CONST_SWAP_DISK_POSTFIX="swap-disk"
 CONST_SYSTEM_DISK_POSTFIX="system-disk"
+CONST_TEMPLATES_DIR=templates
 #
 # Constants that may change with Debian version
 CONST_DEBIAN_ARCH=amd64
@@ -54,6 +57,7 @@
 CLUSTER_EXTERNAL_ADDRESSES_BY_DHCP=1
 CLUSTER_EXTERNAL_MAC_PREFIX="00:16:3E:33:A6:"
 CLUSTER_EXTERNAL_DOMAIN_NAME=lip.ens-lyon.fr
+CLUSTER_INTERNAL_ADDRESSES_BY_DHCP=0
 CLUSTER_IMAGE=full
 CLUSTER_MAC_ADDRESS_PREFIX="00:16:3E:0F:6A"
 CLUSTER_NOSWAP="$CONST_XEN_NOSWAP"
@@ -67,6 +71,7 @@
 COMPUTE_NODE_BRIDGE=$CLUSTER_BRIDGE_NAME
 COMPUTE_NODE_CPUS_FILE=compute-nodes-cpus
 COMPUTE_NODE_DISK_MOUNT_POINT=/mnt/${CONST_COMPUTE_NODE}-system-disk
+COMPUTE_NODE_FILE_SYSTEM_MOUNT_POINT=/mnt/compute-node-file-system
 COMPUTE_NODE_FSTAB_TEMPLATE=${CONST_FSTAB_FILE_BASENAME}.${CONST_COMPUTE_NODE}
 COMPUTE_NODE_HOME_DISK_FILE_SYSTEM=nfs4
 COMPUTE_NODE_INTERFACES_TEMPLATE=interfaces.${CONST_COMPUTE_NODE}
@@ -167,13 +172,6 @@
 #
 HOSTS_FILE_BASENAME=hosts
 #
-SYSTEM_DISK_CLONE_POSTFIX="-disk"
-SYSTEM_DISK_CLONE_PREFIX=$COMPUTE_NODE_NAME_PREFIX
-SYSTEM_DISK_CLONE_SIZE=20G # Half of the master size.
-SYSTEM_DISK_FILE_SYSTEM=ext3
-SYSTEM_DISK_LOGICAL_VOLUME=/dev/vg_slow
-SYSTEM_DISK_MASTER=$SYSTEM_DISK_LOGICAL_VOLUME/compute-node-model-disk
-TEMPLATES_DIR=templates
 USERS_HOME_DISK="users-home-disk"
 USERS_HOME_DISK_SIZE=40G
 
Index: trunk/shell/front-end-finish-up
===================================================================
--- trunk/shell/front-end-finish-up	(revision 49)
+++ trunk/shell/front-end-finish-up	(revision 50)
@@ -17,13 +17,13 @@
 #
 CURRENT_PATH=/etc
 FRONT_END_CLUSTER_MAC_ADDRESS=\
-`awk -F, -v INDEX=$CONST_FRONT_END_CLUSTER_STATIC_NETWORK_POSTFIX '{if (FNR==INDEX) {print $1}}' $SCRIPT_PATH/$TEMPLATES_DIR$CURRENT_PATH/$CONST_DHCP_HOSTS_FILE_BASENAME`
+`awk -F, -v INDEX=$CONST_FRONT_END_CLUSTER_STATIC_NETWORK_POSTFIX '{if (FNR==INDEX) {print $1}}' $SCRIPT_PATH/${CONST_TEMPLATES_DIR}$CURRENT_PATH/$CONST_DHCP_HOSTS_FILE_BASENAME`
 #
 #
 # Create the Xen configuration file from a template
 #
 CURRENT_PATH=/etc/xen
-cp templates$CURRENT_PATH/$CONST_FRONT_END_XEN_TEMPLATE_NAME \
+cp ${CONST_TEMPLATES_DIR}$CURRENT_PATH/$CONST_FRONT_END_XEN_TEMPLATE_NAME \
    $CONST_XEN_CONFIG_DIR/$CURRENT_HOST_NAME.cfg
 rpl -q Template Configuration $CONST_XEN_CONFIG_DIR/$CURRENT_HOST_NAME.cfg
 rpl -q __FRONT_END_KERNEL__ $FRONT_END_KERNEL \
@@ -138,7 +138,7 @@
 if [ ! -d ${FRONT_END_FILE_SYSTEM_MOUNT_POINT}${CURRENT_PATH} ] ; then
   mkdir ${FRONT_END_FILE_SYSTEM_MOUNT_POINT}${CURRENT_PATH}
 fi
-cp templates$CURRENT_PATH/$FRONT_END_INTERFACES_TEMPLATE \
+cp ${CONST_TEMPLATES_DIR}$CURRENT_PATH/$FRONT_END_INTERFACES_TEMPLATE \
    $FRONT_END_FILE_SYSTEM_MOUNT_POINT$CURRENT_PATH/interfaces
 if [ $CLUSTER_EXTERNAL_ADDRESSES_BY_DHCP -eq 1 ] ; then
   ETH0_STANZA="iface eth0 inet dhcp"
@@ -193,7 +193,7 @@
   ${FRONT_END_FILE_SYSTEM_MOUNT_POINT}${CURRENT_PATH}/hosts
 # /etc/resolv.conf
 CURRENT_PATH=/etc
-cp $TEMPLATES_DIR$CURRENT_PATH/resolv.conf \
+cp ${CONST_TEMPLATES_DIR}$CURRENT_PATH/resolv.conf \
    ${FRONT_END_FILE_SYSTEM_MOUNT_POINT}${CURRENT_PATH}/resolv.conf
 rpl -q __CLUSTER_DOMAIN_NAME__ "${CLUSTER_DOMAIN_NAME}." \
    ${FRONT_END_FILE_SYSTEM_MOUNT_POINT}${CURRENT_PATH}/resolv.conf
@@ -203,7 +203,7 @@
 # /etc/fstab
 #
 CURRENT_PATH=/etc
-cp ${TEMPLATES_DIR}${CURRENT_PATH}/${FRONT_END_FSTAB_TEMPLATE} \
+cp ${CONST_TEMPLATES_DIR}${CURRENT_PATH}/${FRONT_END_FSTAB_TEMPLATE} \
   ${FRONT_END_FILE_SYSTEM_MOUNT_POINT}${CURRENT_PATH}/fstab
   # Front-End System Disk Line
 FESDL=${FRONT_END_SYSTEM_VIRTUAL_VOLUME_DEVICE}
@@ -237,7 +237,7 @@
 #
 # NFS V4 stuff
 #
-cp ${TEMPLATES_DIR}${CURRENT_PATH}/${FRONT_END_EXPORTS_TEMPLATE} \
+cp ${CONST_TEMPLATES_DIR}${CURRENT_PATH}/${FRONT_END_EXPORTS_TEMPLATE} \
   ${FRONT_END_FILE_SYSTEM_MOUNT_POINT}${CURRENT_PATH}/$CONST_EXPORTS_FILE_BASENAME
 NFS_HOME_STANZA="$CLUSTER_STATIC_NETWORK_PREFIX.0/${CLUSTER_STATIC_NETMASK}$FRONT_END_NFS_OPTIONS"
 rpl -q __NFS_HOME_STANZA__ "$NFS_HOME_STANZA" \
Index: trunk/shell/compute-node-model-finish-up
===================================================================
--- trunk/shell/compute-node-model-finish-up	(revision 49)
+++ trunk/shell/compute-node-model-finish-up	(revision 50)
@@ -18,13 +18,13 @@
 #
 CURRENT_PATH=/etc
 COMPUTE_NODE_MODEL_CLUSTER_MAC_ADDRESS=\
-`awk -F, -v INDEX=$CONST_COMPUTE_NODE_MODEL_CLUSTER_STATIC_NETWORK_POSTFIX '{if (FNR==INDEX) {print $1}}' $SCRIPT_PATH/$TEMPLATES_DIR$CURRENT_PATH/$CONST_DHCP_HOSTS_FILE_BASENAME`
+`awk -F, -v INDEX=$CONST_COMPUTE_NODE_MODEL_CLUSTER_STATIC_NETWORK_POSTFIX '{if (FNR==INDEX) {print $1}}' $SCRIPT_PATH/$CONST_TEMPLATES_DIR$CURRENT_PATH/$CONST_DHCP_HOSTS_FILE_BASENAME`
 #
 #
 # Create the Xen configuration file from a template
 #
 CURRENT_PATH=/etc/xen
-cp templates$CURRENT_PATH/$CONST_COMPUTE_NODE_MODEL_XEN_TEMPLATE_NAME \
+cp ${CONST_TEMPLATES_DIR}$CURRENT_PATH/$CONST_COMPUTE_NODE_MODEL_XEN_TEMPLATE_NAME \
    $CONST_XEN_CONFIG_DIR/$CURRENT_HOST_NAME.cfg
 rpl -q Template Configuration $CONST_XEN_CONFIG_DIR/$CURRENT_HOST_NAME.cfg
 rpl -q __COMPUTE_NODE_KERNEL__ "$COMPUTE_NODE_KERNEL" \
@@ -139,7 +139,7 @@
 if [ ! -d ${COMPUTE_NODE_MODEL_FILE_SYSTEM_MOUNT_POINT}${CURRENT_PATH} ] ; then
   mkdir ${COMPUTE_NODE_MODEL_FILE_SYSTEM_MOUNT_POINT}${CURRENT_PATH}
 fi
-cp templates$CURRENT_PATH/$COMPUTE_NODE_MODEL_INTERFACES_TEMPLATE \
+cp ${CONST_TEMPLATES_DIR}$CURRENT_PATH/$COMPUTE_NODE_MODEL_INTERFACES_TEMPLATE \
    $COMPUTE_NODE_MODEL_FILE_SYSTEM_MOUNT_POINT$CURRENT_PATH/interfaces
 if [ $CLUSTER_EXTERNAL_ADDRESSES_BY_DHCP -eq 1 ] ; then
   ETH0_STANZA="iface eth0 inet dhcp"
@@ -194,7 +194,7 @@
   ${COMPUTE_NODE_MODEL_FILE_SYSTEM_MOUNT_POINT}${CURRENT_PATH}/hosts
 # /etc/resolv.conf
 CURRENT_PATH=/etc
-cp $TEMPLATES_DIR$CURRENT_PATH/resolv.conf \
+cp ${CONST_TEMPLATES_DIR}$CURRENT_PATH/resolv.conf \
    ${COMPUTE_NODE_MODEL_FILE_SYSTEM_MOUNT_POINT}${CURRENT_PATH}/resolv.conf
 rpl -q __CLUSTER_DOMAIN_NAME__ "${CLUSTER_DOMAIN_NAME}." \
    ${COMPUTE_NODE_MODEL_FILE_SYSTEM_MOUNT_POINT}${CURRENT_PATH}/resolv.conf
@@ -204,7 +204,7 @@
 # /etc/fstab
 #
 CURRENT_PATH=/etc
-cp ${TEMPLATES_DIR}${CURRENT_PATH}/${COMPUTE_NODE_FSTAB_TEMPLATE} \
+cp ${CONST_TEMPLATES_DIR}${CURRENT_PATH}/${COMPUTE_NODE_FSTAB_TEMPLATE} \
   ${COMPUTE_NODE_MODEL_FILE_SYSTEM_MOUNT_POINT}${CURRENT_PATH}/fstab
   # Compute-Node-Model System Disk Line
 CNMSDL=${COMPUTE_NODE_MODEL_SYSTEM_VIRTUAL_VOLUME_DEVICE}
Index: trunk/shell/templates/etc/xen/compute-node-model.cfg
===================================================================
--- trunk/shell/templates/etc/xen/compute-node-model.cfg	(revision 49)
+++ trunk/shell/templates/etc/xen/compute-node-model.cfg	(revision 50)
@@ -21,10 +21,10 @@
 # Disks.
 disk        = [
                   __COMPUTE_NODE_MODEL_SYSTEM_DISK_STANZA__,
-                  __FRONT_END_SWAP_DISK_STANZA__
+                  __COMPUTE_NODE_MODEL_SWAP_DISK_STANZA__
               ]
 
-__FRONT_END_NOSWAP__
+__COMPUTE_NODE_MODEL_NOSWAP__
 #
 #  Physical volumes
 #
@@ -33,7 +33,7 @@
 #
 #  Hostname
 #
-name        = '__FRONT_END_HOST_NAME__'
+name        = '__COMPUTE_NODE_MODEL_HOST_NAME__'
 
 #
 #  Networking
Index: trunk/shell/templates/etc/xen/compute-node.cfg
===================================================================
--- trunk/shell/templates/etc/xen/compute-node.cfg	(revision 49)
+++ trunk/shell/templates/etc/xen/compute-node.cfg	(revision 50)
@@ -1,5 +1,6 @@
 #
-# Template file for the Xen instance compute-node.
+# Template file for the Xen compute node model, created
+# by xen-tools 4.2 on Mon Feb 28 17:41:00 2011.
 #
 
 #
@@ -8,23 +9,22 @@
 kernel      = '__COMPUTE_NODE_KERNEL__'
 ramdisk     = '__COMPUTE_NODE_RAMDISK__'
 
+vcpus       = '__COMPUTE_NODE_VCPUS_NUM__'
+cpus        = '__COMPUTE_NODE_CPUS__'
 memory      = '__COMPUTE_NODE_MEMORY__'
 
-# (V)CPU management
-
-vcpus       = '__COMPUTE_NODE_VCPUS__'
-cpus        = '__COMPUTE_NODE_CPUS__'
-
 #
-#  Disk device(s).
+#  Disk device(s) and swap.
 #
-root        = '/dev/xvda2 ro'
+# Root device.
+__XEN_SYSTEM_DISK_ROOT_DEVICE_STANZA__
+# Disks.
 disk        = [
-                  'phy:__COMPUTE_NODE_SYSTEM_DISK__,xvda2,w',
-                  'phy:__COMPUTE_NODE_SWAP_DISK__,xvda1,w',
+                  __COMPUTE_NODE_SYSTEM_DISK_STANZA__,
+                  __COMPUTE_NODE_SWAP_DISK_STANZA__
               ]
 
-
+__COMPUTE_NODE_NOSWAP__
 #
 #  Physical volumes
 #
@@ -38,8 +38,9 @@
 #
 #  Networking
 #
-vif         = [ 'ip=__COMPUTE_NODE_IP__,mac=__COMPUTE_NODE_MAC__,bridge=__COMPUTE_NODE_BRIDGE__', ]
+__XEN_DHCP_STANZA__
 
+__VIF_STANZA__
 #
 #  Behaviour
 #
@@ -47,5 +48,5 @@
 on_reboot   = 'restart'
 on_crash    = 'restart'
 
+__EXTRA_STANZA__
 
-
Index: trunk/shell/templates/etc/network/interfaces.compute-node-model
===================================================================
--- trunk/shell/templates/etc/network/interfaces.compute-node-model	(revision 0)
+++ trunk/shell/templates/etc/network/interfaces.compute-node-model	(revision 50)
@@ -0,0 +1,27 @@
+# This file describes the network interfaces available on your system
+# and how to activate them. For more information, see interfaces(5).
+#
+# Automatic start interfaces.
+auto lo eth0 eth1
+# The loopback network interface
+iface lo inet loopback
+#
+# The primary network interface
+__ETH0_STATIC_OR_DHCP__
+__ETH0_STATIC_ADDRESS__
+__ETH0_STATIC_NETMASK__
+__ETH0_STATIC_NETWORK__
+__ETH0_STATIC_GATEWAY__
+__ETH0_STATIC_BROADCAST__
+__ETH0_STATIC_NAMESERVERS__
+__ETH0_STATIC_DNS_SEARCH__
+#
+iface eth1 inet static
+ address __ETH1_STATIC_ADDRESS__
+ netmask __ETH1_STATIC_NETMASK__
+#
+# post-up  ethtool -K eth0 tx off
+#
+# The commented out line above will disable TCP checksumming which
+# might resolve problems for some users.  It is disabled by default
+#
Index: trunk/shell/templates/etc/network/interfaces.compute-node
===================================================================
--- trunk/shell/templates/etc/network/interfaces.compute-node	(revision 49)
+++ trunk/shell/templates/etc/network/interfaces.compute-node	(revision 50)
@@ -9,7 +9,7 @@
 
 iface eth0 inet static
  address __STATIC_ADDRESS__
- netmask 255.255.255.0
+ netmask __STATIC_NETMASK__
 #
 # post-up  ethtool -K eth0 tx off
 #
Index: trunk/shell/generate-dhcp-hostsfile
===================================================================
--- trunk/shell/generate-dhcp-hostsfile	(revision 49)
+++ trunk/shell/generate-dhcp-hostsfile	(revision 50)
@@ -10,7 +10,7 @@
 # Source the common configuration variables.
 . $SCRIPT_PATH/c-i-a-b.common
 # Clean up the file
-DHCP_HOSTS_FILE="${SCRIPT_PATH}/${TEMPLATES_DIR}/etc/${CONST_DHCP_HOSTS_FILE_BASENAME}"
+DHCP_HOSTS_FILE="${SCRIPT_PATH}/${CONST_TEMPLATES_DIR}/etc/${CONST_DHCP_HOSTS_FILE_BASENAME}"
 rm -f $DHCP_HOSTS_FILE
 # Compute the file entries.
 for i in `seq 1 $COMPUTE_NODE_MAX_NUM`
